# Generated by Django 4.2 on 2023-04-17 12:52

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django_editorjs.fields
import uuid


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('bitches', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Bitch',
            fields=[
                ('id', models.UUIDField(db_index=True, default=uuid.uuid4, primary_key=True, serialize=False)),
                ('create_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now_add=True)),
                ('name', models.CharField(max_length=50, verbose_name='name')),
                ('description', django_editorjs.fields.EditorJsField()),
                ('image', models.ImageField(upload_to='static/image/')),
                ('price', models.DecimalField(decimal_places=2, max_digits=5)),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='users', to=settings.AUTH_USER_MODEL, verbose_name='author')),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='categories', to='bitches.category', verbose_name='category')),
            ],
            options={
                'verbose_name': 'Bitch',
                'verbose_name_plural': 'Bitches',
            },
        ),
        migrations.CreateModel(
            name='Image',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('photo', models.FileField(upload_to='static/images/')),
                ('is_preview', models.BooleanField(default=False)),
                ('bitch', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='images', to='bitches.bitch', verbose_name='Image')),
            ],
            options={
                'verbose_name': 'Image',
                'verbose_name_plural': 'Images',
            },
        ),
    ]
